Description

Hi

I'm sure that the following would be really useful:

to have the special category of the Issue Notes - Staff-only Notes, with Role-based access/visibility control.

It would allow to put there information, hint, ets. that shouldn't be visible to specified Role (say, Customer).

Really eager to have it!

Thanks,

Dmitry

Related issues:

Related to Redmine - Feature #1554: Private comments in tickets Closed 2008-06-30

History

#1 - 2008-05-06 23:15 - Fabrice Phung

I totally agree with this feature usefulness. I see it as a 'private' attribute triggering note display for specified roles. The drawback is that nobody sees

the same content.

#2 - 2008-05-07 10:46 - Tommy Jensen

+1

#3 - 2008-05-07 21:08 - Benjamin Baroukh

+1

#4 - 2008-05-16 15:14 - Ronie Henrich

+1

#5 - 2008-07-27 18:28 - Thomas Pihl

+1

#6 - 2008-08-13 17:42 - Paolo Sulprizio

+1

#7 - 2008-09-23 13:01 - Toni Kerschbaum

+1

#8 - 2008-09-24 07:01 - Arndt Lehmann

+1

#9 - 2008-11-11 10:37 - Jean-Philippe Lang

- Target version deleted (0.8)

#10 - 2009-04-24 09:06 - Szabolcs Klement
+1

#11 - 2009-04-24 09:17 - Jens Goldhammer

+1

#12 - 2009-08-08 00:52 - Shaun Gilroy

This issue is duplicated in 1554, I think.

#13 - 2009-10-28 11:37 - chris madler

+1

I also think this feature is absolutely necessary for companies that want to keep some notes on issues only visible to staff members and other notes

(also) visible to clients.

I suppose it would consist of having a field "visibility" with values (private, public) on each note that is added to an issue. Then in roles, a permission

to view certain visibility values (private, public, or both?). Related to #1554.

#14 - 2009-11-02 16:20 - Paolo Sulprizio

+1

It would be also useful to define the default setting (private, public) on per-project basis. It could permit to create project in which only visible issues'

information for clients are description and state.

#15 - 2010-04-10 08:18 - Oleg Volkov

See features #337. This is private Issue. Please test it.

Private Issue Notes - second step (see #1554 too).

#16 - 2014-08-03 07:29 - Go MAEDA

Private issue note which have been introduced in Redmine 2.2(#1554).

This issue can be closed.

#17 - 2014-08-03 09:22 - Etienne Massip

- Is duplicate of Feature #1554: Private comments in tickets added

#18 - 2014-08-03 09:23 - Etienne Massip

- Status changed from New to Resolved

- Resolution set to Duplicate

Indeed.

#19 - 2014-09-05 11:47 - Dev Full stack

+1

#20 - 2014-09-29 02:38 - Toshi MARUYAMA

- Status changed from Resolved to Closed

#21 - 2019-05-16 12:48 - Aleksandar Pavic

toshio harita Maruyama I wouldn't agree this should be closed...

This is not a ticket for private notes, but "role-based notes"...

So, +1 for original request...

I am having such request, and we have like 3 roles, and they only

want to see notes of other users of their own roles...

So, comment from Go Maeda 5y Ago is not appropriate...

#22 - 2019-05-16 12:52 - Go MAEDA

- Status changed from Closed to New

- Resolution deleted (Duplicate)

#23 - 2019-05-16 12:52 - Go MAEDA
https://www.redmine.org/issues/1554
https://www.redmine.org/issues/337
https://www.redmine.org/issues/1554
https://www.redmine.org/issues/1554
https://www.redmine.org/users/10651


- Is duplicate of deleted (Feature #1554: Private comments in tickets)

#24 - 2019-05-16 12:52 - Go MAEDA

- Related to Feature #1554: Private comments in tickets added
